summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--office/xpad/README4
-rw-r--r--office/xpad/doinst.sh3
-rw-r--r--office/xpad/slack-desc11
-rw-r--r--office/xpad/xpad.SlackBuild64
-rw-r--r--office/xpad/xpad.info8
5 files changed, 90 insertions, 0 deletions
diff --git a/office/xpad/README b/office/xpad/README
new file mode 100644
index 0000000000..c97cf01496
--- /dev/null
+++ b/office/xpad/README
@@ -0,0 +1,4 @@
+Xpad is a sticky note application written using GTK+ 2.0 that strives to be
+simple, fault-tolerant, and customizable. Xpad consists of independent pad
+windows; each is basically a text box in which notes can be written.
+
diff --git a/office/xpad/doinst.sh b/office/xpad/doinst.sh
new file mode 100644
index 0000000000..98d466d8b9
--- /dev/null
+++ b/office/xpad/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
diff --git a/office/xpad/slack-desc b/office/xpad/slack-desc
new file mode 100644
index 0000000000..d1a0b30107
--- /dev/null
+++ b/office/xpad/slack-desc
@@ -0,0 +1,11 @@
+xpad: Xpad (sticky notes)
+xpad:
+xpad: Xpad is a sticky note application written using GTK+ 2.0 that
+xpad: strives to be simple, fault-tolerant, and customizable. Xpad
+xpad: consists of independent pad windows; each is basically a text
+xpad: box in which notes can be written.
+xpad:
+xpad: Homepage: http://xpad.sourceforge.net/
+xpad:
+xpad:
+xpad: \ No newline at end of file
diff --git a/office/xpad/xpad.SlackBuild b/office/xpad/xpad.SlackBuild
new file mode 100644
index 0000000000..ff2f76f1f2
--- /dev/null
+++ b/office/xpad/xpad.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for xpad
+
+# Written by MagicMan <MagicMan07@bluebottle.com>
+# No Guarantees. Use this SlackBuild at your own risk.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=xpad
+VERSION=2.12
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+PDOCS=${PDOCS:-AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xvjf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+# Fix path to icon in desktop file
+( cd $PKG/usr/share/applications
+ sed -i 's#^Icon=\(.\+\)$#Icon=/usr/share/pixmaps/\1.png#' $PRGNAM.desktop
+)
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/xpad/xpad.info b/office/xpad/xpad.info
new file mode 100644
index 0000000000..d749eb1093
--- /dev/null
+++ b/office/xpad/xpad.info
@@ -0,0 +1,8 @@
+PRGNAM="xpad"
+VERSION="2.12"
+HOMEPAGE="http://xpad.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/xpad/xpad-2.12.tar.bz2"
+MD5SUM="2d469030c818ca03811ae0827073b59e"
+MAINTAINER="MagicMan"
+EMAIL="MagicMan07@bluebottle.com"
+APPROVED="robw810"